Skip to main content
POST
/
v1
/
households
/
{household_id}
/
notes
Create a note
curl --request POST \
  --url https://api.slant.app/v1/households/{household_id}/notes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "note": {
    "content": "Important meeting notes from client discussion"
  }
}
'
{
  "id": "abc123xyz",
  "content": "Meeting notes from client discussion",
  "pinned": false,
  "source": "api",
  "book_id": "book123xyz",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "household_id": "household123xyz",
  "created_by_id": "user123xyz"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 Bearer Token from Clerk authentication

Headers

Idempotency-Key
string

Unique key to ensure idempotent request handling. If a request with the same key was already processed, the original response will be returned.

Path Parameters

household_id
string
required

The household ID

Body

application/json

Note data

note
object
required

Response

note created

id
string
required

The note ID

Example:

"abc123xyz"

content
string
required

The plaintext content of the note

Example:

"Meeting notes from client discussion"

pinned
boolean
required

Whether the note is pinned

Example:

false

source
enum<string>
required

The source of the note

Available options:
slant,
import,
api
Example:

"api"

book_id
string
required

The book ID

Example:

"book123xyz"

created_at
string<date-time>
required

When the note was created

updated_at
string<date-time>
required

When the note was last updated

household_id
string | null

The household ID

Example:

"household123xyz"

created_by_id
string | null

The ID of the user who created the note

Example:

"user123xyz"